Skip to main content
POST
/
positions
/
{positionPubkey}
/
claim
cURL
curl --request POST \
  --url https://api.jup.ag/prediction/v1/positions/{positionPubkey}/claim \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "ownerPubkey": "<string>"
}
'
import requests

url = "https://api.jup.ag/prediction/v1/positions/{positionPubkey}/claim"

payload = { "ownerPubkey": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({ownerPubkey: '<string>'})
};

fetch('https://api.jup.ag/prediction/v1/positions/{positionPubkey}/claim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "transaction": "<string>",
  "txMeta": {
    "blockhash": "<string>",
    "lastValidBlockHeight": 1
  },
  "position": {
    "positionPubkey": "<string>",
    "marketPubkey": "<string>",
    "userPubkey": "<string>",
    "ownerPubkey": "<string>",
    "isYes": true,
    "contracts": "<string>",
    "payoutAmountUsd": "<string>",
    "contractsMicro": "<string>",
    "contractsDecimal": "<string>"
  }
}
{
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
}
{
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

positionPubkey
string
required

Position account public key

Minimum string length: 32

Body

application/json
ownerPubkey
string

Position owner public key

Minimum string length: 32

Response

Unsigned transaction to claim payout for a winning position

transaction
string
required

Base64 encoded transaction

txMeta
object
required
position
object
required